<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Notifications\Notifiable;

class Storage extends Model
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name',
        'source',
        'is_default',
        'location',
        'is_internal',
        'is_active',
        'auth_url',
        'tenant_name',
        'username',
        'password',
        'service_name',
        'service_region',
        'container_name',
        'cdn_url',
        'access_key',
        'secret_key'
    ];

    public function albums()
    {
        return $this->hasMany(Album::class);
    }
}
