@extends(Theme::viewName('layout'))
@section('title', trans('admin.delete_album', ['name' => $album->name]))

@section('breadcrumb')
    <li class="breadcrumb-item"><a href="{{ route('home') }}"><i class="fa fa-fw fa-home"></i></a></li>
    <li class="breadcrumb-item"><a href="{{ route('admin') }}">@lang('navigation.breadcrumb.admin')</a></li>
    <li class="breadcrumb-item"><a href="{{ route('albums.index') }}">@lang('navigation.breadcrumb.albums')</a></li>
    @include(Theme::viewName('partials.admin_album_breadcrumb'), ['show_current_link' => true])
    <li  class="breadcrumb-item active">@lang('navigation.breadcrumb.delete_album')</li>
@endsection

@section('content')
    <div class="container">
        <div class="row">
            <div class="col-md-8 ml-md-auto mr-md-auto">
                <div class="card bg-danger">
                    <div class="card-header text-white">@yield('title')</div>
                    <div class="card-body bg-light">
                        <p>@lang('admin.delete_album_confirm', ['name' => $album->name])</p>
                        <p class="text-danger"><b>@lang('admin.delete_album_warning')</b></p>

                        <div class="text-right">
                            <form action="{{ route('albums.destroy', [$album->id]) }}" method="POST">
                                {{ csrf_field() }}
                                {{ method_field('DELETE') }}
                                <a href="{{ route('albums.show', ['id' => $album->id]) }}" class="btn btn-link">@lang('forms.cancel_action')</a>
                                <button type="submit" class="btn btn-danger"><i class="fa fa-fw fa-trash"></i> @lang('forms.delete_action')</button>
                            </form>
                        </div>
                    </pdiv>
                </div>
            </div>
        </div>
    </div>
@endsection