@extends(Theme::viewName('layout'))
@section('title', trans('admin.delete_storage', ['name' => $storage->name]))

@section('breadcrumb')
    <li class="breadcrumb-item"><a href="{{ route('home') }}"><i class="fa fa-fw fa-home"></i></a></li>
    <li class="breadcrumb-item"><a href="{{ route('admin') }}">@lang('navigation.breadcrumb.admin')</a></li>
    <li class="breadcrumb-item"><a href="{{ route('storage.index') }}">@lang('navigation.breadcrumb.storage')</a></li>
    <li class="breadcrumb-item active">@lang('navigation.breadcrumb.delete_storage')</li>
@endsection

@section('content')
    <div class="container">
        <div class="row">
            <div class="col-md-8 offset-md-2">
                <div class="card card-outline-danger">
                    <div class="card-header card-danger">@yield('title')</div>
                    <div class="card-body">
                        <p>@lang('admin.delete_storage_confirm', ['name' => $storage->name])</p>
                        <p class="text-danger"><b>@lang('admin.delete_storage_warning')</b></p>

                        <div class="text-right">
                            <form action="{{ route('storage.destroy', [$storage->id]) }}" method="post" id="storage-options">
                                {{ method_field('DELETE') }}
                                {{ csrf_field() }}
                                <a href="{{ route('storage.index') }}" class="btn btn-link">@lang('forms.cancel_action')</a>
                                <button type="submit" class="btn btn-danger"><i class="fa fa-fw fa-trash"></i> @lang('forms.delete_action')</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection