@extends(Theme::viewName('layout'))
@section('title', 'Gallery Admin')

@section('breadcrumb')
    <li class="breadcrumb-item"><a href="{{ route('home') }}"><i class="fa fa-fw fa-home"></i></a></li>
    <li class="breadcrumb-item active">@lang('navigation.breadcrumb.admin')</li>
@endsection

@section('content')
    <div class="container">
        @if ($metadata_upgrade_needed)
            <div class="row">
                <div class="col">
                    <div class="alert alert-warning">
                        @lang('admin.metadata_upgrade_needed')<br/>
                        <a href="{{ route('admin.metadataUpgrade') }}">@lang('admin.metadata_upgrade_link')</a>
                    </div>
                </div>
            </div>
        @endif

        <div class="row">
            <div class="col-md-4 order-1 order-md-2">
                @include (Theme::viewName('partials.admin_actions_widget'))
                @include (Theme::viewName('partials.admin_manage_widget'))
                @include (Theme::viewName('partials.admin_stats_widget'))
            </div>

            <div class="col-md-8 order-2 order-md-1">
                @include (Theme::viewName('partials.admin_sysinfo_widget'))
            </div>
        </div>
    </div>
@endsection