@extends(Theme::viewName('layout'))

@section('title', trans('auth.forgot_password_title'))
@section('content')
    <div class="container">
        <div class="row">
            <div class="col-md-8 mr-md-auto ml-md-auto">
                <div class="card">
                    <div class="card-header">
                        <ul class="nav nav-tabs card-header-tabs">
                            <li class="nav-item">
                                <a class="nav-link active" href="{{ url('/password/reset') }}">@yield('title')</a>
                            </li>
                        </ul>
                    </div>
                    <div class="card-body">
                        <form role="form" method="POST" action="{{ url('/password/email') }}">
                            {{ csrf_field() }}

                            <div class="form-group row{{ $errors->has('email') ? ' has-danger' : '' }}">
                                <label for="email" class="col-md-4 col-form-label text-md-right">@lang('forms.email_label')</label>

                                <div class="col-md-6">
                                    <input id="email" type="email" class="form-control" name="email" value="{{ old('email') }}">

                                    @if ($errors->has('email'))
                                        <div class="form-control-feedback">
                                            <strong>{{ $errors->first('email') }}</strong>
                                        </div>
                                    @endif
                                </div>
                            </div>

                            <div class="form-group row">
                                <div class="col-md-4"><!-- --></div>
                                <div class="col-md-6 text-right">
                                    <a href="{{ url('/login') }}" class="btn btn-link">@lang('forms.cancel_action')</a>
                                    <button type="submit" class="btn btn-success">
                                        <i class="fa fa-fw fa-check"></i> @lang('auth.forgot_password_action')
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
