@extends(Theme::viewName('layout'))
@section('title', $album->name)

@section('breadcrumb')
    <li class="breadcrumb-item"><a href="{{ route('home') }}"><i class="fa fa-fw fa-home"></i></a></li>
    @include(Theme::viewName('partials.album_breadcrumb'))
@endsection

@section('content')
    <div class="container album-container">
        @can('edit', $album)
            <div class="row">
                <div class="col">
                    <div class="pull-right">
                        <a class="btn btn-secondary" href="{{ route('albums.show', ['id' => $album->id]) }}"><i class="fa fa-fw fa-eye"></i> @lang('gallery.manage_album_link_2')</a>
                    </div>
                </div>
            </div>
        @endcan

        <div class="row">
            <div class="col text-center">
                @if (count($child_albums) == 0)
                    <h1>@lang('gallery.album_no_results_heading')</h1>
                    <p style="line-height: 1.6em;">@lang('gallery.album_no_results_text', ['admin_link' => sprintf('<a href="%s">%s</a>', route('admin'), trans('admin.title'))])</p>
                    <p style="margin-bottom: 30px; line-height: 1.6em;">@lang('gallery.album_no_results_text_2')</p>

                    <img src="{{ asset('themes/base/images/smartphone-photo.jpg') }}" class="img-fluid rounded" style="display: inline;" />
                @else
                    <h2 class="mt-4"><small class="text-muted">@lang('gallery.other_albums_heading', ['album_name' => $album->name])</small></h2>
                    <p class="mb-4">@lang('gallery.other_albums_description_empty', ['album_name' => $album->name])</p>

                    <div class="row">
                        @foreach ($child_albums as $childAlbum)
                            <div class="col-6 col-sm-4 col-md-3 text-left" style="max-width: 250px;">
                                <div class="card mb-3">
                                    <img class="card-img-top" src="{{ $childAlbum->thumbnailUrl('preview') }}" style="max-height: 120px;"/>
                                    <div class="card-body">
                                        <h5 class="card-title"><a href="{{ $childAlbum->url() }}">{{ $childAlbum->name }}</a></h5>
                                    </div>
                                    <div class="card-footer">
                                        <small class="text-muted">
                                            <i class="fa fa-fw fa-photo"></i> {{ number_format($childAlbum->photos_count) }} {{ trans_choice('gallery.photos', $childAlbum->photos_count) }}

                                            @if ($childAlbum->children_count > 0)
                                            <i class="fa fa-fw fa-book ml-3"></i> {{ number_format($childAlbum->children_count) }} {{ trans_choice('gallery.child_albums', $childAlbum->children_count) }}
                                            @endif
                                        </small>
                                    </div>
                                </div>
                            </div>
                        @endforeach
                    </div>
                @endif
            </div>
        </div>
    </div>
@endsection