@extends(Theme::viewName('layout'))
@section('title', $label->name)

@section('breadcrumb')
    <li class="breadcrumb-item"><a href="{{ route('home') }}"><i class="fa fa-fw fa-home"></i></a></li>
    <li class="breadcrumb-item">{{ $label->name }}</li>
@endsection

@section('content')
    <div class="container album-container">
        <div class="row">
            <div class="col">
                <div class="pull-right">
                    @include(\App\Facade\Theme::viewName('partials.album_view_selector'))
                </div>

                <h1 class="page-title">{{ $label->name }}</h1>
                <p>@lang('gallery.label_intro', ['name' => $label->name])</p>
                <div class="clearfix"><!-- --></div>
                <hr/>
            </div>
        </div>

        <div class="row">
            @foreach ($photos as $photo)
                <div class="col-sm-6 col-md-4 photo mb-3">
                    <div class="card">
                        <a href="{{ $photo->url() }}"><img src="{{ $photo->thumbnailUrl('preview') }}" alt="" class="card-img-top"/></a>
                        <div class="card-body">
                            <h4 class="card-title"><a href="{{ $photo->url() }}">{{ $photo->name }}</a></h4>
                        </div>
                        <div class="card-footer">
                            <small class="text-muted"><i class="fa fa-fw fa-calendar"></i> {{ date(UserConfig::get('date_format'), strtotime(!is_null($photo->taken_at) ? $photo->taken_at : $photo->created_at)) }}</small>
                        </div>
                    </div>
                </div>
            @endforeach

            <div class="row" style="margin-top: 15px;">
                <div class="col text-center">
                    {{ $photos->links() }}
                </div>
            </div>
        </div>
    </div>
@endsection