@extends(Theme::viewName('layout'))
@section('title', trans('gallery.labels_title'))

@section('breadcrumb')
    <li class="breadcrumb-item"><a href="{{ route('home') }}"><i class="fa fa-fw fa-home"></i></a></li>
    <li class="breadcrumb-item">@lang('navigation.breadcrumb.labels')</li>
@endsection

@section('content')
    <div class="container album-container">
        <div class="row">
            <div class="col">
                <h1 class="page-title">@lang('gallery.labels_title')</h1>
                <div class="clearfix"><!-- --></div>
                <hr/>

                <table class="table table-hover table-striped">
                    <tbody>
                        @foreach ($labels as $label)
                            <tr>
                                <td style="width: 150px">
                                    <img src="{{ $label->thumbnailUrl('admin-preview') }}" style="width: 150px;"/>
                                </td>
                                <td>
                                    <span style="font-size: 1.3em;">
                                        <a href="{{ $label->url() }}">{{ $label->name }}</a>
                                    </span><br/>
                                    <p style="margin-bottom: 0;"><b>{{ number_format($label->photos_count, 0) }}</b> {{ trans_choice('gallery.photos', $label->photos_count) }}</p>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
@endsection