@extends(Theme::viewName('layout'))
@section('title', $photo->name)

@section('breadcrumb')
    <li class="breadcrumb-item"><a href="{{ route('home') }}"><i class="fa fa-fw fa-home"></i></a></li>
    @foreach ($album->albumParentTree() as $parentAlbum)
        <li class="breadcrumb-item"><a href="{{ $parentAlbum->url() }}">{{ $parentAlbum->name }}</a></li>
    @endforeach
    <li class="breadcrumb-item"><a href="{{ $photo->url() }}">{{ $photo->name }}</a></li>
    <li class="breadcrumb-item active">@lang('navigation.breadcrumb.exif_data')</li>
@endsection

@section('content')
    <div class="container">
        <div class="row">
            <div class="col">
                <h1>{{ $photo->name }}</h1>
                @if (strlen($photo->description) > 0)
                    <p>{{ $photo->description }}</p>
                @endif
            </div>
        </div>

        <div class="row">
            <div class="col content-body">
                <p class="text-center"><img src="{{ $photo->thumbnailUrl('fullsize') }}" alt="" class="img-thumbnail mb-4"/></p>

                <pre>{!! $exif_data !!}</pre>
            </div>
        </div>
    </div>
@endsection