<div role="tabpanel" class="tab-pane{{ $active_tab == 'permissions' ? ' active' : '' }}" id="permissions-tab">
    <h4>@lang('admin.security_heading')</h4>
    <p>@lang('admin.security_text')</p>
    <hr/>

    <h5 style="font-weight: bold;">@lang('admin.security_groups_heading')</h5>

    <form action="{{ route('albums.set_group_permissions', ['id' => $album->id]) }}" method="post">
        {{ csrf_field() }}

        @if (count($existing_groups) > 0)
            <div id="groups-accordion" role="tablist" aria-multiselectable="true">
                @foreach ($existing_groups as $group)
                    @include(Theme::viewName('partials.album_permissions'), [
                        'key_id' => 'group_' . $group->id,
                        'object_id' => $group->id,
                        'title' => $group->name,
                        'callback' => [$album, 'doesGroupHavePermission'],
                        'callback_object' => $group,
                        'parent_id' => 'groups-accordion'
                    ])
                @endforeach
            </div>
        @endif

        <div class="row mt-3">
            <div class="col-md-4">
                <select class="form-control" name="group_id" style="margin-bottom: 2px;"@if (count($add_new_groups) == 0) disabled="disabled"@endif>
                    @foreach ($add_new_groups as $group)
                        <option value="{{ $group->id }}">{{ $group->name }}</option>
                    @endforeach
                </select>
            </div>
            <div class="col-md-2">
                <button type="submit" name="action" value="add_group" class="btn btn-primary">Assign Permissions</button>
            </div>
            <div class="col-md-6 text-right">
                <button type="submit" name="action" value="update_group_permissions" class="btn btn-success">
                    <i class="fa fa-fw fa-check"></i> @lang('forms.save_action')
                </button>
            </div>
        </div>
    </form>
    <hr/>

    <h5 style="font-weight: bold;">@lang('admin.security_users_heading')</h5>

    <form action="{{ route('albums.set_user_permissions', ['id' => $album->id]) }}" method="post">
        {{ csrf_field() }}

        <div id="users-accordion" role="tablist" aria-multiselectable="true">
            {{-- Anonymous users --}}
            @include(Theme::viewName('partials.album_permissions'), [
                'key_id' => 'anonymous',
                'object_id' => 'anonymous',
                'title' => trans('admin.anonymous_users'),
                'callback' => [$album, 'doesUserHavePermission'],
                'callback_object' => null,
                'parent_id' => 'users-accordion'
            ])

            @foreach ($existing_users as $user)
                @include(Theme::viewName('partials.album_permissions'), [
                    'key_id' => 'user_' . $user->id,
                    'object_id' => $user->id,
                    'title' => $user->name,
                    'callback' => [$album, 'doesUserHavePermission'],
                    'callback_object' => $user,
                    'parent_id' => 'users-accordion'
                ])
            @endforeach
        </div>

        <div class="row mt-3">
            <div class="col-md-4">
                <input class="form-control" name="user_name" id="user-search-textbox" size="20" style="margin-bottom: 2px;" />
                <input type="hidden" name="user_id" id="user-id-field" />
            </div>
            <div class="col-md-2">
                <button type="submit" name="action" value="add_user" class="btn btn-primary">Assign Permissions</button>
            </div>
            <div class="col-md-6 text-right">
                <button type="submit" name="action" value="update_user_permissions" class="btn btn-success">
                    <i class="fa fa-fw fa-check"></i> @lang('forms.save_action')
                </button>
            </div>
        </div>
    </form>
</div>