<div role="tabpanel" class="tab-pane{{ $active_tab == 'settings' ? ' active' : '' }}" id="settings-tab">
    <form action="{{ route('albums.update', [$album->id]) }}" method="POST">
        {{ csrf_field() }}
        {{ method_field('PUT') }}

        <h4><i class="fa fa-fw fa-info"></i> @lang('admin.album_basic_info_heading')</h4>
        <p>@lang('admin.album_basic_info_intro')</p>

        <div class="form-group" style="margin-top: 20px;">
            <label class="form-control-label" for="album-name">@lang('forms.name_label')</label>
            <input type="text" class="form-control{{ $errors->has('name') ? ' is-invalid' : '' }}" id="album-name" name="name" value="{{ old('name') }}">

            @if ($errors->has('name'))
                <div class="invalid-feedback">
                    <strong>{{ $errors->first('name') }}</strong>
                </div>
            @endif
        </div>

        <div class="form-group">
            <label class="form-control-label" for="album-description">@lang('forms.description_label')</label>
            <textarea class="form-control" id="album-description" name="description" rows="5">{{ old('description') }}</textarea>
        </div>

        <hr/>

        <h4><i class="fa fa-fw fa-paint-brush"></i> @lang('admin.album_appearance_heading')</h4>
        <p>@lang('admin.album_appearance_intro')</p>

        <div class="form-group" style="margin-top: 20px;">
            <label class="control-label" for="album-view">@lang('forms.default_album_view_label')</label>
            <select class="form-control" name="default_view">
                @foreach ($allowed_views as $view)
                    <option value="{{ $view }}"{{ $view == old('default_view') ? ' selected="selected"' : '' }}>{{ $view }}</option>
                @endforeach
            </select>
        </div>

        <hr/>

        <div class="row">
            <div class="col-md-6 push-md-6 mb-3">
                <div class="card">
                    <div class="card-header">@lang('admin.save_changes_heading')</div>
                    <div class="card-body">
                        <p>@lang('admin.save_changes_intro')</p>
                        <div class="text-right">
                            <button type="submit" class="btn btn-success"><i class="fa fa-fw fa-floppy-o"></i> @lang('forms.save_action')</button>
                        </div>
                    </div>
                </div>
            </div>

            @can('delete', $album)
                <div class="col-md-6 pull-md-6 mb-3">
                    <div class="card bg-danger">
                        <div class="card-header text-white">@lang('admin.danger_zone_heading')</div>
                        <div class="card-body bg-light">
                            <p class="text-danger">@lang('admin.danger_zone_intro')</p>
                            <div>
                                <a href="{{ route('albums.delete', ['id' => $album->id]) }}" class="btn btn-danger">@lang('forms.delete_action')</a>
                            </div>
                        </div>
                    </div>
                </div>
            @endcan
        </div>
    </form>
</div>